## sks 1.1.5

=== Makefile ===
#
#   This file is part of SKS.  SKS is free software; you can
#   redistribute it and/or modify it under the terms of the GNU General
#   Public License as published by the Free Software Foundation; either
#   version 2 of the License, or (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful, but
#   WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#   General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
#   USA
#
CINCLUDES=-I`ocamlc -where`
CC=gcc
CXX=g++
CFLAGS=-O3 -Werror-implicit-function-declaration $(CINCLUDES) -I .
CXXFLAGS=-O3 $(CINCLUDES) -I .

ifndef OCAMLC
	OCAMLC=ocamlc
endif
ifndef OCAMLOPT
	OCAMLOPT=ocamlopt
endif
ifndef CAMLP4O
	CAMLP4O=camlp4o
endif

export OCAMLC
export OCAMLOPT
export CAMLP4O

include Makefile.local

ifndef PREFIX
	PREFIX=/usr/local
endif
ifeq ($(BDBLIB),)
	OCAMLLIB=
else
	OCAMLLIB= -ccopt $(BDBLIB)
endif

SKSVS=$(shell grep 'version_suffix = "+"' common.ml)
ifeq ($(strip $(SKSVS)),)
WARNERR=
else
WARNERR=-warn-error A
endif

CAMLP4=-pp $(CAMLP4O)
CAMLINCLUDE= -I lib -I bdb
COMMONCAMLFLAGS=$(CAMLINCLUDE) $(OCAMLLIB) -ccopt -Lbdb -dtypes $(WARNERR)
OCAMLDEP=ocamldep $(CAMLP4)
CAMLLIBS=unix.cma str.cma bdb.cma nums.cma bigarray.cma cryptokit.cma
OCAMLFLAGS=$(COMMONCAMLFLAGS) -g $(CAMLLIBS)
OCAMLOPTFLAGS=$(COMMONCAMLFLAGS) -inline 40 $(CAMLLIBS:.cma=.cmxa)

EXE=sks sks_add_mail
ALL=$(EXE) sks.8.gz
ALL.bc=$(EXE:=.bc) sks.8.gz

all: $(ALL)
all.bc: $(ALL.bc)

COBJS=crc.o

MOBJS.bc= pSet.cmo pMap.cmo utils.cmo heap.cmo mList.cmo \
       mTimer.cmo mArray.cmo

MOBJS=$(MOBJS.bc:.cmo=.cmx)

ROBJS.bc= settings.cmo pstyle.cmo getfileopts.cmo \
	common.cmo channel.cmo eventloop.cmo ehandlers.cmo \
	bitstring.cmo meteredChannel.cmo \
	number.cmo prime.cmo zZp.cmo rMisc.cmo \
	linearAlg.cmo poly.cmo decode.cmo \
	fqueue.cmo prefixTree.cmo msgContainer.cmo \
	nbMsgContainer.cmo cMarshal.cmo reconMessages.cmo \
	server.cmo client.cmo reconCS.cmo \
	number_test.cmo decode_test.cmo poly_test.cmo \
	Unique_time.cmo version.cmo
ROBJS=$(ROBJS.bc:.cmo=.cmx)

OBJS.bc=packet.cmo parsePGP.cmo sStream.cmo bdbwrap.cmo \
	key.cmo keyHash.cmo keyMerge.cmo fixkey.cmo \
	fingerprint.cmo keydb.cmo armor.cmo \
	dbMessages.cmo htmlTemplates.cmo wserver.cmo \
	membership.cmo tester.cmo request.cmo \
	stats.cmo index.cmo mRindex.cmo pTreeDB.cmo \
	sendmail.cmo recvmail.cmo mailsync.cmo \
	clean_keydb.cmo build.cmo fastbuild.cmo pbuild.cmo merge_keyfiles.cmo \
	sksdump.cmo incdump.cmo dbserver.cmo reconComm.cmo recoverList.cmo \
	catchup.cmo reconserver.cmo update_subkeys.cmo sks_do.cmo unit_tests.cmo

OBJS=$(OBJS.bc:.cmo=.cmx)

RSERVOBJS.bc=reconComm.cmo recoverList.cmo catchup.cmo reconserver.cmo
RSERVOBJS=$(RSERVOBJS.bc:.cmo=.cmx)

ALLOBJS.bc=$(COBJS) $(MOBJS.bc) $(ROBJS.bc) $(OBJS.bc)
ALLOBJS=$(ALLOBJS.bc:.cmo=.cmx)

EXEOBJS.bc=$(RSERVOBJS.bc) build.cmo fastbuild.cmo dbserver.cmo pdiskTest.cmo

LIBS.bc= lib/cryptokit.cma bdb/bdb.cma
LIBS=$(LIBS.bc:.cma=.cmxa)

VERSION := $(shell cat VERSION)
VERSIONPREFIX = sks-$(VERSION)
COMMA_VERSION := $(shell cat VERSION | sed y/./,/)
FILES := $(shell sed s/.*/$(VERSIONPREFIX)\\/\&/ FILES)

# Special case make rules for functions which require preprocessor directives

common.cmx: common.ml VERSION
	$(OCAMLOPT) $(OCAMLOPTFLAGS) \
	-pp "sed s/__VERSION__/$(COMMA_VERSION)/" -c $<

common.cmo: common.ml VERSION
	$(OCAMLC) $(OCAMLFLAGS) -pp "sed s/__VERSION__/$(COMMA_VERSION)/" -c $<

keyMerge.cmo: keyMerge.ml
	$(OCAMLC) $(OCAMLFLAGS) $(CAMLP4) -c $<

keyMerge.cmx: keyMerge.ml
	$(OCAMLOPT) $(OCAMLOPTFLAGS) $(CAMLP4) -c $<

# Special targets

install:
	mkdir -p $(PREFIX)/bin
	install sks_build.sh sks sks_add_mail $(PREFIX)/bin
	mkdir -p $(MANDIR)/man8
	install sks.8.gz $(MANDIR)/man8

install.bc:
	mkdir -p $(PREFIX)/bin
	install sks_build.bc.sh sks.bc sks_add_mail.bc $(PREFIX)/bin
	mkdir -p $(MANDIR)/man8
	install sks.8.gz $(MANDIR)/man8


Makefile.local:
	@if [ ! -e Makefile.local ]; then echo "Makefile.local has to be defined before building. See Makefile.local.unused"; exit 1; fi;

src:
	if [ ! -x $(VERSIONPREFIX) ]; then ln -s . $(VERSIONPREFIX); fi
	tar cfz $(VERSIONPREFIX).tgz $(FILES)
	rm $(VERSIONPREFIX)

# Ordinary targets

sks.8.gz: sks.8
	gzip -f sks.8

sks.8: sks.pod
	pod2man -c "SKS OpenPGP Key server" --section 8 -r 0.1 -name sks sks.pod sks.8

spider: $(LIBS) $(ALLOBJS) spider.cmx
	$(OCAMLOPT) -o spider $(OCAMLOPTFLAGS) $(ALLOBJS) spider.cmx

spider.bc: $(LIBS.bc) $(ALLOBJS.bc) spider.cmo
	$(OCAMLC) -o spider.bc $(OCAMLFLAGS) $(ALLOBJS.bc) spider.cmo

sksclient: $(LIBS) $(ALLOBJS) sksclient.cmx
	$(OCAMLOPT) -o sksclient $(OCAMLOPTFLAGS) $(ALLOBJS) sksclient.cmx

sksclient.bc: $(LIBS.bc) $(ALLOBJS.bc) sksclient.cmo
	$(OCAMLC) -o sksclient.bc $(OCAMLFLAGS) $(ALLOBJS.bc) sksclient.cmo

sks: $(LIBS) $(ALLOBJS) sks.cmx
	$(OCAMLOPT) -o sks $(OCAMLOPTFLAGS) $(ALLOBJS) sks.cmx

sks.bc: $(LIBS.bc) $(ALLOBJS.bc) sks.cmo
	$(OCAMLC) -o sks.bc $(OCAMLFLAGS) $(ALLOBJS.bc) sks.cmo

nbtest.bc: $(LIBS.bc) $(ALLOBJS.bc) nbtest.cmo
	$(OCAMLC) -o nbtest.bc $(OCAMLFLAGS) $(ALLOBJS.bc) nbtest.cmo

ptest: $(LIBS) $(ALLOBJS) ptest.cmx
	$(OCAMLOPT) -o ptest $(OCAMLOPTFLAGS) $(ALLOBJS) \
	ptest.cmx

ptree_consistency_test: $(LIBS) $(ALLOBJS) reconPTreeDb.cmx \
		ptree_consistency_test.cmx
	$(OCAMLOPT) -o ptree_consistency_test $(OCAMLOPTFLAGS) $(ALLOBJS) \
	reconPTreeDb.cmx ptree_consistency_test.cmx

ptree_consistency_test.bc: $(LIBS.bc) $(ALLOBJS.bc) reconPTreeDb.cmo \
		ptree_consistency_test.cmo
	$(OCAMLC) -o ptree_consistency_test.bc $(OCAMLFLAGS) $(ALLOBJS.bc) \
	reconPTreeDb.cmo ptree_consistency_test.cmo

ptree_db_test: $(LIBS) $(ALLOBJS) reconPTreeDb.cmx \
		ptree_db_test.cmx
	$(OCAMLOPT) -o ptree_db_test $(OCAMLOPTFLAGS) $(ALLOBJS) \
	reconPTreeDb.cmx ptree_db_test.cmx

ptree_db_test.bc: $(LIBS.bc) $(ALLOBJS.bc) reconPTreeDb.cmo \
		ptree_db_test.cmo
	$(OCAMLC) -o ptree_db_test.bc $(OCAMLFLAGS) $(ALLOBJS.bc) \
	reconPTreeDb.cmo ptree_db_test.cmo

sks_do.bc: $(LIBS.bc) $(ALLOBJS.bc) sks_do.cmo
	$(OCAMLC) -o sks_do.bc $(OCAMLFLAGS) $(ALLOBJS.bc) sks_do.cmo

sks_do: $(LIBS) $(ALLOBJS) sks_do.cmx
	$(OCAMLOPT) -o sks_do $(OCAMLOPTFLAGS) $(ALLOBJS) sks_do.cmx


sks_add_mail.bc: pMap.cmo pSet.cmo add_mail.cmo
	$(OCAMLC) -o sks_add_mail.bc -g unix.cma \
	pMap.cmo pSet.cmo add_mail.cmo

sks_add_mail: $(LIBS) pMap.cmx pSet.cmx add_mail.cmx
	$(OCAMLOPT) -o sks_add_mail unix.cmxa \
	pMap.cmx pSet.cmx add_mail.cmx

ocamldoc.out: $(ALLOBJS) $(EXEOBJS)
	ocamldoc -hide Pervasives,UnixLabels,MoreLabels \
	-dot $(CAMLP4O) -d doc -I lib -I bdb *.mli *.ml

sks_logdump.bc: $(LIBS.bc) $(ALLOBJS.bc) logdump.cmo
	$(OCAMLC) -o sks_logdump.bc $(OCAMLFLAGS) $(ALLOBJS.bc) logdump.cmo

sks_logdump: $(LIBS) $(ALLOBJS) logdump.cmx
	$(OCAMLOPT) -o sks_logdump $(OCAMLOPTFLAGS) $(ALLOBJS) \
	logdump.cmx

bugscript: $(LIBS) $(ALLOBJS) reconPTreeDb.cmx bugscript.cmx
	$(OCAMLOPT) -o bugscript $(OCAMLOPTFLAGS) $(ALLOBJS) \
	reconPTreeDb.cmx bugscript.cmx

bugscript.bc: $(LIBS.bc) $(ALLOBJS.bc) reconPTreeDb.cmo bugscript.cmo
	$(OCAMLC) -o bugscript.bc $(OCAMLFLAGS) $(ALLOBJS.bc) \
	reconPTreeDb.cmo bugscript.cmo

ptree_replay: $(LIBS) $(ALLOBJS) reconPTreeDb.cmx ptree_replay.cmx
	$(OCAMLOPT) -o ptree_replay $(OCAMLOPTFLAGS) $(ALLOBJS) \
	reconPTreeDb.cmx ptree_replay.cmx

modules.dot: ocamldoc.out
	./recolor.py < ocamldoc.out > modules.dot

modules.ps: modules.dot
	dot -Nfontsize=200 modules.dot -Tps -o modules.ps

doc: $(ALLOBJS) $(EXEOBJS)
	mkdir -p doc
	ocamldoc -hide Pervasives,UnixLabels,MoreLabels \
	-html $(CAMLP4O) -d doc -I lib -I bdb *.mli *.ml

##################################
# LIBS
##################################

bdb/bdb.cmxa: bdb/bdb_stubs.c bdb/bdb_stubs.h
	cd bdb && $(MAKE) bdb.cmxa

bdb/bdb.cma: bdb/bdb_stubs.c bdb/bdb_stubs.h
	cd bdb && $(MAKE) bdb.cma

bdbclean:
	cd bdb && $(MAKE) clean

##################################


prepared:
	mkdir -p lib
	mkdir -p tmp/bin
	mkdir -p tmp/include
	touch prepared


CKVER=cryptokit-1.7
CKDIR=$(CKVER)/src

$(CKVER)/README.txt:
	tar xmvfz $(CKVER).tar.gz
	patch -p 0 < $(CKVER)-sks.patch
	patch -p 0 < $(CKVER)-sks-custom_compare.patch

$(CKDIR)/cryptokit.cma: $(CKVER)/README.txt
	cd $(CKDIR) && $(MAKE) all

$(CKDIR)/cryptokit.cmxa: $(CKVER)/README.txt
	cd $(CKDIR) && $(MAKE) allopt

lib/cryptokit.cma: $(CKDIR)/cryptokit.cma $(CKDIR)/cryptokit.cmxa prepared
	cp $(CKDIR)/cryptokit.cmi $(CKDIR)/cryptokit.cma \
	   $(CKDIR)/cryptokit.mli lib
	cp $(CKDIR)/libcryptokit.a lib
	if test -f $(CKDIR)/dllcryptokit.so; then \
	   cp $(CKDIR)/dllcryptokit.so lib; fi
	if test -f $(CKDIR)/cryptokit.cmxa; then \
	   cp $(CKDIR)/cryptokit.cmxa $(CKDIR)/cryptokit.cmx \
	   $(CKDIR)/cryptokit.a lib; fi

lib/cryptokit.cmxa: lib/cryptokit.cma

################################
# old stuff
################################
prefix_test: $(ALLOBJS) prefix_test.cmx
	$(OCAMLOPT) -o prefix_test $(OCAMLOPTFLAGS) $(ALLOBJS) prefix_test.cmx

prefix_test.opt: $(ROBJS.opt) prefix_test.cmx
	$(OCAMLOPT) -o prefix_test.opt $(OCAMLOPTFLAGS) $(ROBJS.opt) \
	prefix_test.cmx

pdiskTest: $(LIBS) $(MOBJS) $(ROBJS) pdiskTest.cmo
	$(OCAMLC) -o pdiskTest $(OCAMLFLAGS) $(MOBJS) $(ROBJS) pdiskTest.cmo

pdiskTest.opt: $(LIBS.opt) $(MOBJS.opt) $(ROBJS.opt) pdiskTest.cmx
	$(OCAMLOPT) -o pdiskTest.opt $(OCAMLOPTFLAGS) \
	$(MOBJS.opt) $(ROBJS.opt) pdiskTest.cmx

pdtcaml: $(LIBS) $(ROBJS) pdiskTest.cmo
	ocamlmktop -o pdtcaml -custom $(CAMLLIBS) $(CAMLINCLUDE) \
	$(ROBJS) pdiskTest.cmo

script: $(LIBS) $(ALLOBJS) script.cmo
	$(OCAMLC) -o script $(OCAMLFLAGS) $(ALLOBJS) script.cmo

dbtest.bc: $(LIBS.bc) $(ALLOBJS.bc) dbtest.cmo
	$(OCAMLC) -o dbtest.bc $(OCAMLFLAGS) $(ALLOBJS.bc) dbtest.cmo

dbtest: $(LIBS) $(ALLOBJS) dbtest.cmx
	$(OCAMLOPT) -o dbtest $(OCAMLOPTFLAGS) $(ALLOBJS) dbtest.cmx

tester: $(LIBS) $(ALLOBJS) tester.cmo
	$(OCAMLC) -o tester $(OCAMLFLAGS) $(ALLOBJS) tester.cmo

dumbloop: $(LIBS) $(ALLOBJS) dumbloop.cmo
	$(OCAMLC) -o dumbloop $(OCAMLFLAGS) $(ALLOBJS) dumbloop.cmo

scan: $(OBJS) cryptokit dblib scan.ml
	$(OCAMLC) -o scan $(OCAMLFLAGS) $(OBJS) scan.ml

query: $(LIBS) $(ALLOBJS) query.cmo
	$(OCAMLC) -o query $(OCAMLFLAGS) $(ALLOBJS) query.cmo

printids: $(OBJS:.cmo=.cmx) cryptokit printids.ml
	$(OCAMLOPT) -o printids $(OCAMLOPTFLAGS) $(OBJS:.cmo=.cmx) printids.ml

printids.bc: $(OBJS) cryptokit printids.ml
	$(OCAMLC) -o printids $(OCAMLFLAGS) $(OBJS) printids.ml

krecode: $(ALLOBJS.opt) $(LIBS) recode.ml
	$(OCAMLOPT) -o krecode $(OCAMLOPTFLAGS) $(ALLOBJS.opt) recode.ml

rcaml: $(LIBS.bc) $(ALLOBJS.bc)
	ocamlmktop -o rcaml -custom $(CAMLLIBS) $(CAMLINCLUDE) \
	$(ALLOBJS.bc) $(OCAMLLIB)



# Common rules
.SUFFIXES: .mli .ml .cmo .cmi .cmx

.ml.o:
	$(OCAMLOPT) -output-obj $(OCAMLOPTFLAGS) $<

.cpp.o:
	$(CXX) $(CXXFLAGS) -c $<

.c.o:
	$(CC) $(CFLAGS) -c $<

.c.obj:
	$(CC) $(CFLAGS) /c $<

.ml.cmo:
	$(OCAMLC) $(OCAMLFLAGS) -c $<

.mli.cmi:
	$(OCAMLC) $(OCAMLFLAGS) -c $<

.ml.cmx:
	$(OCAMLOPT) $(OCAMLOPTFLAGS) -c $<


# Clean up
mlclean:
	rm -f *.cm[iox]
	rm -f *.annot
	rm -f *.opt
	rm -f *.bc
	rm -rf spider sksclient
	rm -f $(ALL) $(ALL.bc)

clean: mlclean
	rm -f *.o
	rm -f prepared
	rm -f sks.8.gz

cleanall: clean bdbclean
	rm -f lib/*
	rm -rf $(CKVER)

distclean: cleanall
	rm -rf Makefile.local
	rm -rf .depend tmp lib

# Dependencies

dep:
	$(OCAMLDEP) $(INCLUDES) *.mli *.ml > .depend

-include .depend

# DO NOT DELETE

=== bdb/Makefile ===
#########################################################################
#                                                                       #
#                            Objective Caml                             #
#                                                                       #
#            Xavier Leroy, projet Cristal, INRIA Rocquencourt           #
#                                                                       #
#   Copyright 1999 Institut National de Recherche en Informatique et    #
#   en Automatique.  All rights reserved.  This file is distributed     #
#   under the terms of the GNU Library General Public License, with     #
#   the special exception on linking described in file ../../LICENSE.   #
#                                                                       #
#########################################################################

# $Id: Makefile,v 1.6 2003/07/05 15:16:29 yminsky Exp $
include ../Makefile.local

CINCLUDES=-I`ocamlc -where` $(BDBINCLUDE)
CC=gcc
CXX=g++
CFLAGS=-O3 -Werror-implicit-function-declaration $(CINCLUDES) $(BDBLIB) -I .
CXXFLAGS=-O3 $(CINCLUDES) $(BDBLIB) -I .

MKLIB=ocamlmklib
RANLIB=ranlib
OCAMLDEP=ocamldep $(PP)
CAMLINCLUDE=
COMMONCAMLFLAGS= $(CAMLINCLUDE) $(PP) #-thread
CAMLLIBS=unix.cma str.cma mylibs.cma
OCAMLFLAGS=$(COMMONCAMLFLAGS) -g
OCAMLOPTFLAGS=$(COMMONCAMLFLAGS) -inline 40

ifndef LIBDB
LIBDB=-ldb-4.6
endif

COBJS = bdb_stubs.o

ocextr: ocextr.ml
	$(OCAMLOPT) -o ocextr ocextr.ml

libbdb.a: $(COBJS)
	$(MKLIB) -custom -o bdb $(COBJS)

bdb_stubs.o: bdb_stubs.h bdb_stubs.c

bdb.ml: ocextr bdb_stubs.c
	./ocextr bdb_stubs.c > bdb.ml

bdb.cma: bdb.cmo libbdb.a
	$(MKLIB) -custom -o bdb bdb.cmo -lbdb $(LIBDB)

bdb.cmxa: bdb.cmx libbdb.a
	$(MKLIB) -custom -o bdb bdb.cmx -lbdb $(LIBDB)

bdbcaml: bdb.cma
	ocamlmktop -o bdbcaml -custom unix.cma bdb.cma $^

partialclean:
	rm -f *.cm*

clean: partialclean
	rm -f *.a *.o
	rm -f bdb.ml
	rm -f ocextr

install:
	cp libmldb.a $(LIBDIR)/libmldb.a
	cd $(LIBDIR); $(RANLIB) libmldb.a
	cp db.cma db.cmi bdb.mli db.mli $(LIBDIR)

installopt:
	cp db.cmx db.cmxa db.a $(LIBDIR)
	cd $(LIBDIR); $(RANLIB) db.a



# Common rules
.SUFFIXES: .ml .mli .cmo .cmi .cmx

.ml.o:
	$(OCAMLOPT) -output-obj $(OCAMLOPTFLAGS) $<

.cpp.o:
	$(CXX) $(CXXFLAGS) -c $<

.c.o:
	$(CC) $(CFLAGS) -c $<

.c.obj:
	$(CC) $(CFLAGS) /c $<

.ml.cmo:
	$(OCAMLC) $(OCAMLFLAGS) -c $<

.mli.cmi:
	$(OCAMLC) $(OCAMLFLAGS) -c $<

.ml.cmx:
	$(OCAMLOPT) $(OCAMLOPTFLAGS) -c $<

# Dependencies
#dep:
#	$(OCAMLDEP) $(INCLUDES) *.mli *.ml > .depend

#include .depend


# DO NOT DELETE

=== debian/changelog ===
sks (1.1.5-4build2) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 12:48:33 +0000

sks (1.1.5-4build1) xenial; urgency=medium

  * No-change rebuild against ocaml 4.02.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Wed, 04 Nov 2015 11:51:51 -0600

sks (1.1.5-4) unstable; urgency=low

  * make sks depend on the exact dbx.x-util version (closes: #774368)

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Thu, 22 Jan 2015 22:22:43 +0100

sks (1.1.5-3) unstable; urgency=medium

  * fix postrm if old /var/backup does not exist (closes: #718530)

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Tue, 04 Nov 2014 12:12:10 +0100

sks (1.1.5-2) unstable; urgency=low

  * use start-stop-daemon with --background and --no-close instead of with
    & (closes: #765172)
  * change /var/backup/sks to /var/backups/sks for upgrade backups
    (closes: #718530)

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Wed, 15 Oct 2014 17:10:51 +0200

sks (1.1.5-1) unstable; urgency=low

  [ Christoph Martin ]
  * new upstream
    - fixes CVE-2014-3207: non-persistent XSS (closes: 746626)
    - correctly handle option max_matches (closes: 742916)
    - correct documentation of dump command (closes: 600194)
  * add pgp signature option to watch file
  * remove /var/lib/sks and /var/backup/sks on purge (closes: 716838)
  * note active Berkely DB on new install (closes: 741912)

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Fri, 16 May 2014 15:54:30 +0200

=== debian/control ===
Source: sks
Section: net
Priority: optional
Standards-Version: 3.9.4
Maintainer: Christoph Martin <christoph.martin@uni-mainz.de>
Uploaders: Fabio M. Di Nitto <fabbione@fabbione.net>,
           Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Build-Depends: 
 ocaml (>= 3.08),
 camlp4,
 libdb-dev,
 debhelper (>= 9),
 zlib1g-dev,
 libcryptokit-ocaml-dev (>= 1.2-4),
 ocaml-nox (>= 1.3-4),
 perl,
 perl-doc,
 dh-ocaml (>= 0.9~)
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-sks/pkg-sks.git
Vcs-Git: git://anonscm.debian.org/pkg-sks/pkg-sks.git

Package: sks
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${ocaml:Depends},
 ${bdb:Depends},
 adduser,
 logrotate
Provides: ${ocaml:Provides}
Suggests:
 postfix | mail-transport-agent,
 procmail
Description: Synchronizing OpenPGP Key Server
 SKS is an OpenPGP key server that correctly handles all OpenPGP features
 defined in RFC2440 and RFC2440bis, including photoID packages and multiple
 subkeys.
 .
 This key server implementation uses an efficient and reliable reconciliation
 algorithm to keep the database in sync with other SKS servers.  Additionally
 it can both send and receive PKS style sync emails.
Homepage: https://bitbucket.org/skskeyserver/sks-keyserver/wiki/Home

=== debian/rules ===
#!/usr/bin/make -f
TMP     =$(CURDIR)/debian/sks

OCAMLABI = $(shell ocamlc -version)
BYTECODE = $(shell [ -x /usr/bin/ocamlopt ] || echo yes)
all      = $(if $(BYTECODE),all.bc,all)
install  = $(if $(BYTECODE),install.bc,install)
OCAMLRUN = $(if $(BYTECODE),ocaml-base-nox-$(OCAMLABI))

export DEB_BUILD_OPTIONS += $(if $(BYTECODE)," nostrip",)

BDB_VERSION ?= $(shell LC_ALL=C dpkg-query -l 'libdb[45].[0-9]-dev' | grep ^.i | sed -e 's|.*\s\libdb\([45]\.[0-9]\)-dev\s.*|\1|')

%:
	dh  $@ --with=ocaml

override_dh_auto_clean:
	touch Makefile.local
	dh_auto_clean
#	touch .depend

override_dh_clean:
	dh_clean -X .orig

override_dh_auto_build:
	touch Makefile.local
	make dep
	dh_auto_build -v --  $(all)

override_dh_auto_install:
#	dh_auto_install -v -- PREFIX="$(TMP)/usr" MANDIR="$(TMP)/usr/share/man" $(install)
	$(MAKE) PREFIX="$(TMP)/usr" MANDIR="$(TMP)/usr/share/man" $(install)
#	Debian specific
	cp -a debian/debcfg/* debian/sks/etc/sks
#	Check that we have a value for BDB_VERSION
	[ -n "$(BDB_VERSION)" ]
	echo $(BDB_VERSION) > debian/sks/usr/lib/sks/berkeley_db.txt
	cp -a sampleWeb/OpenPKG/* debian/sks/var/lib/sks/www/

override_dh_gencontrol:
	dh_gencontrol -- -Vbdb:Depends="db$(BDB_VERSION)-util"

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ https://bitbucket.org/skskeyserver/sks-keyserver/downloads/sks-(\d[\d.]*)\.(?:zip|tgz|tbz2|txz|tar\.gz|tar\.bz2|tar\.xz)

## sks 1.1.6

=== Makefile ===
--- 
+++ 
@@ -45,6 +45,8 @@
 	OCAMLLIB= -ccopt $(BDBLIB)
 endif
 
+CAMLLDFLAGS=$(foreach x, $(LDFLAGS), -ccopt $(x))
+
 SKSVS=$(shell grep 'version_suffix = "+"' common.ml)
 ifeq ($(strip $(SKSVS)),)
 WARNERR=
@@ -54,7 +56,7 @@
 
 CAMLP4=-pp $(CAMLP4O)
 CAMLINCLUDE= -I lib -I bdb
-COMMONCAMLFLAGS=$(CAMLINCLUDE) $(OCAMLLIB) -ccopt -Lbdb -dtypes $(WARNERR)
+COMMONCAMLFLAGS=$(CAMLINCLUDE) $(OCAMLLIB) $(CAMLLDFLAGS) -ccopt -Lbdb -dtypes $(WARNERR)
 OCAMLDEP=ocamldep $(CAMLP4)
 CAMLLIBS=unix.cma str.cma bdb.cma nums.cma bigarray.cma cryptokit.cma
 OCAMLFLAGS=$(COMMONCAMLFLAGS) -g $(CAMLLIBS)
@@ -156,7 +158,7 @@
 # Ordinary targets
 
 sks.8.gz: sks.8
-	gzip -f sks.8
+	gzip -9nf sks.8
 
 sks.8: sks.pod
 	pod2man -c "SKS OpenPGP Key server" --section 8 -r 0.1 -name sks sks.pod sks.8
@@ -218,7 +220,7 @@
 	pMap.cmo pSet.cmo add_mail.cmo
 
 sks_add_mail: $(LIBS) pMap.cmx pSet.cmx add_mail.cmx
-	$(OCAMLOPT) -o sks_add_mail unix.cmxa \
+	$(OCAMLOPT) -o sks_add_mail $(CAMLLDFLAGS) unix.cmxa \
 	pMap.cmx pSet.cmx add_mail.cmx
 
 ocamldoc.out: $(ALLOBJS) $(EXEOBJS)

=== debian/changelog ===
sks (1.1.6-14) unstable; urgency=medium

  * move to debhelper 11
  * Standards-Version: 4.1.3 (no changes needed)
  * move Vcs: * fields to salsa.debian.org
  * use DEP-14 repo branch naming scheme
  * d/control: add Rules-Requires-Root: no
  * debian/tests/basic: reverse the order of the diffs
  * d/changelog: clean trailing whitespace
  * autopkgtest:  no need to work around #870780 any more
  * trim noisy GnuPG fields
  * send systemctl enable stderr to stdout

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 23 Feb 2018 14:55:28 -0800

sks (1.1.6-13) unstable; urgency=medium

  * one more fix to autopkgtest

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 08 Aug 2017 13:31:41 -0400

sks (1.1.6-12) unstable; urgency=medium

  * /var/lib/sks/dump should be owned by debian-sks too
  * streamline automated setup
  * refresh git metadata in patches
  * disable by default on sysvinit-managed systems (same as systemd)
  * autopkgtest: work around #870780

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 07 Aug 2017 01:34:00 -0400

sks (1.1.6-11) unstable; urgency=medium

  * logrotate: use invoke-rc.d instead of explicit /etc/init.d
  * test: ensure that the dumps are owned by debian-sks
  * description: refer explicitly to RFC 4880
  * use systemd vendor presets to not enable sks daemons by default
  * sks-db-setup is now clearer about system integration suggestions
  * drop /etc/default/sks (see NEWS)
    - non-systemd systems should enable/disable sks via update-rc.d
  * clean up autopkgtest

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 02 Aug 2017 13:23:24 -0400

sks (1.1.6-10) unstable; urgency=medium

  * debian/tests/basic needs sks installed

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 02 Aug 2017 01:27:06 -0400

sks (1.1.6-9) unstable; urgency=medium

  * Pre-build Bdb library (fix parallel build) (Closes: #870398)
  * correct the autopkgtest

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 01 Aug 2017 22:07:10 -0400

sks (1.1.6-8) unstable; urgency=medium

  * Try a different mechanism for build parallelism and
    dependency-tracking

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 01 Aug 2017 18:14:58 -0400

sks (1.1.6-7) unstable; urgency=medium

  * allow building in parallel (Closes: #870398)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 01 Aug 2017 16:16:47 -0400

sks (1.1.6-6) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Fix FTBFS with OCaml 4.05.0 (Closes: #870150)

  [ Daniel Kahn Gillmor ]
  * bump Standards-Version to 4.0.0 (no changes needed)
  * wrap-and-sort -ast
  * implement basic autopkgtest

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 01 Aug 2017 10:20:24 -0400

sks (1.1.6-5) unstable; urgency=medium

  [ Daniel Kahn Gillmor]
  * move to debhelper 10

  [ Christoph Martin ]
  * compile with system zarith where cryptokit depends on (closes: #868631)

 -- Christoph Martin <martin@uni-mainz.de>  Wed, 26 Jul 2017 15:34:53 +0200

sks (1.1.6-4) unstable; urgency=medium

  * fix watch file

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Wed, 09 Nov 2016 09:58:48 +0100

sks (1.1.6-3) unstable; urgency=medium

  * fix sks-build-db script. Thanks, Brian Minton (Closes: #835982)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 29 Aug 2016 16:19:25 -0400

sks (1.1.6-2) unstable; urgency=medium

  * Make SKS pie (thanks, Stéphane Glondu!) (Closes: #834044)
  * minor improvements to /etc/init.d/sks (instigated by lintian)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 12 Aug 2016 12:32:04 -0400

sks (1.1.6-1) unstable; urgency=medium

  * new upstream release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 08 Aug 2016 02:36:22 -0400

sks (1.1.5-8) unstable; urgency=medium

  * avoid ftbfs on arches without a native ocamlopt

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 12 May 2016 02:25:22 -0400

sks (1.1.5-7) unstable; urgency=medium

  * re-include stock files in /var/lib/sks/www
  * fix typo in example config file.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 11 May 2016 11:10:21 -0400

sks (1.1.5-6) unstable; urgency=medium

  * ship useful helper scripts: sks-db-setup and sks-db-upgrade
  * drop ancient tests in postinst, improve logic, and simplify by using
    sks-db-upgrade
  * avoid recursive chowns (Closes: #705725)
  * sks-db-upgrade will not fail when database or log files are absent
    (Closes: #750504)
  * remove the debian-sks user on purge (Closes: #778726)
  * add service dependencies and fix BindsTo typo (Closes: #823781)
  * ensure that /var/lib/sks exists (Closes: #823780)
  * update README.Debian to reflect these changes

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 11 May 2016 02:39:32 -0400

sks (1.1.5-5) unstable; urgency=medium

  * canonicalize header files
  * bump to Standards-Version 3.9.8 (no changes needed)
  * move logrotate from Depends: to Suggests:
  * pull upstream fixes, and changes that support handling Curve 25519 keys
  * make sysvinit script depend on $network (Closes: #822248)
  * Depend: on db-util so that cronjob can clean up (Closes: #795080)
  * added systemd service files (Closes: #715360)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 06 May 2016 20:10:29 -0400

=== debian/control ===
Source: sks
Section: net
Priority: optional
Standards-Version: 4.1.3
Maintainer: Christoph Martin <martin@uni-mainz.de>
Uploaders:
 Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
Build-Depends:
 camlp4,
 debhelper (>= 11~),
 dh-ocaml (>= 0.9~),
 libcryptokit-ocaml-dev (>= 1.2-4),
 libdb-dev,
 libzarith-ocaml-dev,
 ocaml (>= 3.08),
 ocaml-nox (>= 1.3-4),
 perl,
 perl-doc,
 zlib1g-dev,
Vcs-Browser: https://salsa.debian.org/debian/sks
Vcs-Git: https://salsa.debian.org/debian/sks.git
Homepage: https://bitbucket.org/skskeyserver/sks-keyserver/wiki/Home
Rules-Requires-Root: no

Package: sks
Architecture: any
Depends:
 adduser,
 db-util,
 lsb-base (>=3.0-6),
 ${bdb:Depends},
 ${misc:Depends},
 ${ocaml:Depends},
 ${shlibs:Depends},
Provides:
 ${ocaml:Provides},
Suggests:
 logrotate,
 postfix | mail-transport-agent,
 procmail,
Description: Synchronizing OpenPGP Key Server
 SKS is an OpenPGP key server that correctly handles all OpenPGP features
 defined in RFC2440 and RFC4880, including photoID packages and multiple
 subkeys.
 .
 This key server implementation uses an efficient and reliable reconciliation
 algorithm to keep the database in sync with other SKS servers.  Additionally
 it can both send and receive PKS style sync emails.

=== debian/rules ===
#!/usr/bin/make -f
TMP     =$(CURDIR)/debian/sks

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

OCAMLABI = $(shell ocamlc -version)
BYTECODE = $(shell [ -x /usr/bin/ocamlopt ] || echo yes)
prebuild = $(if $(BYTECODE),bdb/bdb.cma,bdb/bdb.cmxa)
all      = $(if $(BYTECODE),all.bc,all)
OCAMLRUN = $(if $(BYTECODE),ocaml-base-nox-$(OCAMLABI))

export DEB_BUILD_OPTIONS += $(if $(BYTECODE)," nostrip",)

BDB_VERSION ?= $(shell LC_ALL=C dpkg-query -l 'libdb[45].[0-9]-dev' | grep ^.i | sed -e 's|.*\s\libdb\([45]\.[0-9]\)-dev\s.*|\1|')

%:
	dh  $@ --with=ocaml

override_dh_auto_clean:
	cp debian/Makefile.local ./Makefile.local
	dh_auto_clean

override_dh_auto_build:
	cp debian/Makefile.local ./Makefile.local
	make dep
#	Check that we have a value for BDB_VERSION
	[ -n "$(BDB_VERSION)" ]
	echo $(BDB_VERSION) > debian/berkeley_db.txt
	dh_auto_build -v -- $(prebuild)
	dh_auto_build -v -- $(all)
	$(if $(BYTECODE), $(foreach x, sks sks_add_mail, mv $(x).bc $(x);))
	chmod a+x sks_build.sh

override_dh_auto_install:

override_dh_gencontrol:
	dh_gencontrol -- -Vbdb:Depends="db$(BDB_VERSION)-util"

=== debian/tests/control ===
Tests: basic
Restrictions: needs-root, isolation-container
Depends: debian-archive-keyring, systemd-sysv, gnupg (>= 2.1~), dirmngr (>=2.1~), diffutils, @

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ https://bitbucket.org/skskeyserver/sks-keyserver/downloads/@PACKAGE@@ANY_VERSION@\.(?:zip|tgz|tbz2|txz|tar\.gz|tar\.bz2|tar\.xz)

## sks 1.1.6%2Bgit20210302.c3ba6d5a

=== debian/control ===
--- 
+++ 
@@ -2,24 +2,24 @@
 Section: net
 Priority: optional
 Standards-Version: 4.1.3
-Maintainer: Christoph Martin <martin@uni-mainz.de>
-Uploaders:
- Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Christoph Martin <martin@uni-mainz.de>
 Build-Depends:
  camlp4,
- debhelper (>= 11~),
+ debhelper-compat (= 12),
  dh-ocaml (>= 0.9~),
  libcryptokit-ocaml-dev (>= 1.2-4),
  libdb-dev,
- libzarith-ocaml-dev,
+ libnum-ocaml-dev,
  ocaml (>= 3.08),
+ ocaml-findlib,
  ocaml-nox (>= 1.3-4),
  perl,
  perl-doc,
  zlib1g-dev,
 Vcs-Browser: https://salsa.debian.org/debian/sks
 Vcs-Git: https://salsa.debian.org/debian/sks.git
-Homepage: https://bitbucket.org/skskeyserver/sks-keyserver/wiki/Home
+Homepage: https://github.com/SKS-Keyserver/sks-keyserver
 Rules-Requires-Root: no
 
 Package: sks

## sks 1.1.6+git20200620.9e9d504

=== bdb/Makefile ===
--- 
+++ 
@@ -12,13 +12,11 @@
 #########################################################################
 
 # $Id: Makefile,v 1.6 2003/07/05 15:16:29 yminsky Exp $
-include ../Makefile.local
+-include ../Makefile.local
 
 CINCLUDES=-I`ocamlc -where` $(BDBINCLUDE)
-CC=gcc
-CXX=g++
-CFLAGS=-O3 -Werror-implicit-function-declaration $(CINCLUDES) $(BDBLIB) -I .
-CXXFLAGS=-O3 $(CINCLUDES) $(BDBLIB) -I .
+CFLAGS+=-O3 -Werror-implicit-function-declaration $(CINCLUDES) $(BDBLIB) -I .
+CXXFLAGS+=-O3 $(CINCLUDES) $(BDBLIB) -I .
 
 MKLIB=ocamlmklib
 RANLIB=ranlib
@@ -36,7 +34,7 @@
 COBJS = bdb_stubs.o
 
 ocextr: ocextr.ml
-	$(OCAMLOPT) -o ocextr ocextr.ml
+	$(OCAMLC) -o ocextr ocextr.ml
 
 libbdb.a: $(COBJS)
 	$(MKLIB) -custom -o bdb $(COBJS)
@@ -56,7 +54,7 @@
 	ocamlmktop -o bdbcaml -custom unix.cma bdb.cma $^
 
 partialclean:
-	rm -f *.cm*
+	rm -f *.cm* *.annot
 
 clean: partialclean
 	rm -f *.a *.o

=== debian/changelog ===
sks (1.1.6+git20200620.9e9d504-1) unstable; urgency=medium

  * import upstream commits
  * fixes build with safe-strings and ocaml > 4.08 (closes: #939962)
  * change upstream URL from bitbucket.org to github.com
  * fix some lintian issues

 -- Christoph Martin <martin@uni-mainz.de>  Wed, 16 Sep 2020 18:56:08 +0200

sks (1.1.6-15) unstable; urgency=medium

  [ Daniel Kahn Gillmor ]
  * removing myself from uploaders

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Add missing colon in closes line.

 -- Christoph Martin <martin@uni-mainz.de>  Tue, 15 Sep 2020 10:55:27 +0200

## sks 1.1.6+git20210302.c3ba6d5a

=== Makefile ===
--- 
+++ 
@@ -15,29 +15,26 @@
 #   USA
 #
 CINCLUDES=-I`ocamlc -where`
-CC=gcc
-CXX=g++
-CFLAGS=-O3 -Werror-implicit-function-declaration $(CINCLUDES) -I .
-CXXFLAGS=-O3 $(CINCLUDES) -I .
+CFLAGS+=-O3 -Werror-implicit-function-declaration $(CINCLUDES) -I .
+CXXFLAGS+=-O3 $(CINCLUDES) -I .
 
 ifndef OCAMLC
-	OCAMLC=ocamlc
+	OCAMLC=ocamlfind ocamlc
 endif
 ifndef OCAMLOPT
-	OCAMLOPT=ocamlopt
-endif
-ifndef CAMLP4O
-	CAMLP4O=camlp4o
+	OCAMLOPT=ocamlfind ocamlopt
 endif
 
 export OCAMLC
 export OCAMLOPT
-export CAMLP4O
-
-include Makefile.local
+
+-include Makefile.local
 
 ifndef PREFIX
 	PREFIX=/usr/local
+endif
+ifndef MANDIR
+	MANDIR=$(PREFIX)/share/man
 endif
 ifeq ($(BDBLIB),)
 	OCAMLLIB=
@@ -54,13 +51,12 @@
 WARNERR=-warn-error A
 endif
 
-CAMLP4=-pp $(CAMLP4O)
-CAMLINCLUDE= -I lib -I bdb
-COMMONCAMLFLAGS=$(CAMLINCLUDE) $(OCAMLLIB) $(CAMLLDFLAGS) -ccopt -Lbdb -dtypes $(WARNERR)
-OCAMLDEP=ocamldep $(CAMLP4)
-CAMLLIBS=unix.cma str.cma bdb.cma nums.cma bigarray.cma cryptokit.cma
-OCAMLFLAGS=$(COMMONCAMLFLAGS) -g $(CAMLLIBS)
-OCAMLOPTFLAGS=$(COMMONCAMLFLAGS) -inline 40 $(CAMLLIBS:.cma=.cmxa)
+CAMLINCLUDE= -package cryptokit,unix,str,bigarray,num -I bdb
+COMMONCAMLFLAGS=$(CAMLINCLUDE) $(OCAMLLIB) $(CAMLLDFLAGS) -ccopt -Lbdb -annot -bin-annot $(WARNERR)
+OCAMLDEP=ocamldep
+CAMLLIBS=bdb.cma
+OCAMLFLAGS=$(COMMONCAMLFLAGS) -linkpkg -g $(CAMLLIBS)
+OCAMLOPTFLAGS=$(COMMONCAMLFLAGS) -linkpkg -inline 40 $(CAMLLIBS:.cma=.cmxa)
 
 EXE=sks sks_add_mail
 ALL=$(EXE) sks.8.gz
@@ -109,7 +105,10 @@
 
 EXEOBJS.bc=$(RSERVOBJS.bc) build.cmo fastbuild.cmo dbserver.cmo pdiskTest.cmo
 
-LIBS.bc= lib/cryptokit.cma bdb/bdb.cma
+DOCOBJS = $(MOBJS) $(ROBJS) $(OBJS) $(EXEOBJS)
+DOC_ML := $(wildcard $(DOCOBJS:.cmx=.ml) $(DOCOBJS:.cmx=.mli))
+
+LIBS.bc= bdb/bdb.cma
 LIBS=$(LIBS.bc:.cma=.cmxa)
 
 VERSION := $(shell cat VERSION)
@@ -126,29 +125,23 @@
 common.cmo: common.ml VERSION
 	$(OCAMLC) $(OCAMLFLAGS) -pp "sed s/__VERSION__/$(COMMA_VERSION)/" -c $<
 
-keyMerge.cmo: keyMerge.ml
-	$(OCAMLC) $(OCAMLFLAGS) $(CAMLP4) -c $<
-
-keyMerge.cmx: keyMerge.ml
-	$(OCAMLOPT) $(OCAMLOPTFLAGS) $(CAMLP4) -c $<
-
 # Special targets
 
 install:
-	mkdir -p $(PREFIX)/bin
-	install sks_build.sh sks sks_add_mail $(PREFIX)/bin
-	mkdir -p $(MANDIR)/man8
-	install sks.8.gz $(MANDIR)/man8
+	mkdir -p $(DESTDIR)$(PREFIX)/bin
+	install sks_build.sh sks sks_add_mail $(DESTDIR)$(PREFIX)/bin
+	mkdir -p $(DESTDIR)$(MANDIR)/man8
+	install sks.8.gz $(DESTDIR)$(MANDIR)/man8
 
 install.bc:
-	mkdir -p $(PREFIX)/bin
-	install sks_build.bc.sh sks.bc sks_add_mail.bc $(PREFIX)/bin
-	mkdir -p $(MANDIR)/man8
-	install sks.8.gz $(MANDIR)/man8
+	mkdir -p $(DESTDIR)$(PREFIX)/bin
+	install sks_build.bc.sh sks.bc sks_add_mail.bc $(DESTDIR)$(PREFIX)/bin
+	mkdir -p $(DESTDIR)$(MANDIR)/man8
+	install sks.8.gz $(DESTDIR)$(MANDIR)/man8
 
 
 Makefile.local:
-	@if [ ! -e Makefile.local ]; then echo "Makefile.local has to be defined before building. See Makefile.local.unused"; exit 1; fi;
+	@if [ ! -e Makefile.local ]; then echo "Makefile.local can be defined before build to override some choices. See Makefile.local.unused for example"; exit 1; fi;
 
 src:
 	if [ ! -x $(VERSIONPREFIX) ]; then ln -s . $(VERSIONPREFIX); fi
@@ -223,10 +216,6 @@
 	$(OCAMLOPT) -o sks_add_mail $(CAMLLDFLAGS) unix.cmxa \
 	pMap.cmx pSet.cmx add_mail.cmx
 
-ocamldoc.out: $(ALLOBJS) $(EXEOBJS)
-	ocamldoc -hide Pervasives,UnixLabels,MoreLabels \
-	-dot $(CAMLP4O) -d doc -I lib -I bdb *.mli *.ml
-
 sks_logdump.bc: $(LIBS.bc) $(ALLOBJS.bc) logdump.cmo
 	$(OCAMLC) -o sks_logdump.bc $(OCAMLFLAGS) $(ALLOBJS.bc) logdump.cmo
 
@@ -246,16 +235,11 @@
 	$(OCAMLOPT) -o ptree_replay $(OCAMLOPTFLAGS) $(ALLOBJS) \
 	reconPTreeDb.cmx ptree_replay.cmx
 
-modules.dot: ocamldoc.out
-	./recolor.py < ocamldoc.out > modules.dot
-
-modules.ps: modules.dot
-	dot -Nfontsize=200 modules.dot -Tps -o modules.ps
-
-doc: $(ALLOBJS) $(EXEOBJS)
+.PHONY: doc
+doc: all
 	mkdir -p doc
-	ocamldoc -hide Pervasives,UnixLabels,MoreLabels \
-	-html $(CAMLP4O) -d doc -I lib -I bdb *.mli *.ml
+	ocamlfind ocamldoc -hide Pervasives,UnixLabels,MoreLabels \
+	-html -d doc $(CAMLINCLUDE) $(filter-out common.ml, $(DOC_ML))
 
 ##################################
 # LIBS
@@ -274,37 +258,10 @@
 
 
 prepared:
-	mkdir -p lib
 	mkdir -p tmp/bin
 	mkdir -p tmp/include
 	touch prepared
 
-
-CKVER=cryptokit-1.7
-CKDIR=$(CKVER)/src
-
-$(CKVER)/README.txt:
-	tar xmvfz $(CKVER).tar.gz
-	patch -p 0 < $(CKVER)-sks.patch
-	patch -p 0 < $(CKVER)-sks-custom_compare.patch
-
-$(CKDIR)/cryptokit.cma: $(CKVER)/README.txt
-	cd $(CKDIR) && $(MAKE) all
-
-$(CKDIR)/cryptokit.cmxa: $(CKVER)/README.txt
-	cd $(CKDIR) && $(MAKE) allopt
-
-lib/cryptokit.cma: $(CKDIR)/cryptokit.cma $(CKDIR)/cryptokit.cmxa prepared
-	cp $(CKDIR)/cryptokit.cmi $(CKDIR)/cryptokit.cma \
-	   $(CKDIR)/cryptokit.mli lib
-	cp $(CKDIR)/libcryptokit.a lib
-	if test -f $(CKDIR)/dllcryptokit.so; then \
-	   cp $(CKDIR)/dllcryptokit.so lib; fi
-	if test -f $(CKDIR)/cryptokit.cmxa; then \
-	   cp $(CKDIR)/cryptokit.cmxa $(CKDIR)/cryptokit.cmx \
-	   $(CKDIR)/cryptokit.a lib; fi
-
-lib/cryptokit.cmxa: lib/cryptokit.cma
 
 ################################
 # old stuff
@@ -390,30 +347,26 @@
 
 # Clean up
 mlclean:
-	rm -f *.cm[iox]
+	rm -f *.cm[ioxt] *.cmti
 	rm -f *.annot
 	rm -f *.opt
 	rm -f *.bc
 	rm -rf spider sksclient
 	rm -f $(ALL) $(ALL.bc)
 
-clean: mlclean
+clean: mlclean bdbclean
 	rm -f *.o
 	rm -f prepared
 	rm -f sks.8.gz
 
-cleanall: clean bdbclean
-	rm -f lib/*
-	rm -rf $(CKVER)
-
-distclean: cleanall
+distclean: clean
 	rm -rf Makefile.local
-	rm -rf .depend tmp lib
+	rm -rf .depend tmp
 
 # Dependencies
 
 dep:
-	$(OCAMLDEP) $(INCLUDES) *.mli *.ml > .depend
+	$(OCAMLDEP) $(wildcard *.ml *.mli) > .depend
 
 -include .depend

=== debian/changelog ===
sks (1.1.6+git20210302.c3ba6d5a-4.1build2) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 01 Nov 2025 08:58:34 +0100

sks (1.1.6+git20210302.c3ba6d5a-4.1build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 12 Aug 2024 09:41:37 +0200

sks (1.1.6+git20210302.c3ba6d5a-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Install systemd units into /usr (Closes: #1073607)

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 08 Jul 2024 00:33:15 +0200

sks (1.1.6+git20210302.c3ba6d5a-4) unstable; urgency=medium

  * include tail-recursive-key-parsing.patch from
    https://github.com/SKS-Keyserver/sks-keyserver/pull/79
  * include Do-not-error-on-warning-6-labels-omitted.patch (closes: 1002657)

 -- Christoph Martin <martin@uni-mainz.de>  Mon, 24 Jan 2022 12:33:30 +0100

sks (1.1.6+git20210302.c3ba6d5a-3) unstable; urgency=medium

  * don't abort in cleandb call in sks_build.sh (closes: 975711)

 -- Christoph Martin <martin@uni-mainz.de>  Mon, 22 Mar 2021 10:50:41 +0100

sks (1.1.6+git20210302.c3ba6d5a-2) unstable; urgency=medium

  * reinclude 0011-non-interactive-use-of-sks_build.sh.patch (closes: #975711)

 -- Christoph Martin <martin@uni-mainz.de>  Sun, 21 Mar 2021 20:24:07 +0100

sks (1.1.6+git20210302.c3ba6d5a-1) unstable; urgency=medium

  * import upstream commits fixes dbt readonly error
  * add filter for poison keys

 -- Christoph Martin <martin@uni-mainz.de>  Tue, 02 Mar 2021 10:07:28 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: net
 Priority: optional
 Standards-Version: 4.1.3
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Christoph Martin <martin@uni-mainz.de>
+Maintainer: Christoph Martin <martin@uni-mainz.de>
 Build-Depends:
  camlp4,
  debhelper-compat (= 12),

=== debian/rules ===
--- 
+++ 
@@ -35,3 +35,5 @@
 
 override_dh_gencontrol:
 	dh_gencontrol -- -Vbdb:Depends="db$(BDB_VERSION)-util"
+
+override_dh_dwz:

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/sks-keyserver-$1\.tar\.gz/,\
pgpsigurlmangle=s/archive\/(\d\S+)\.tar\.gz/releases\/download\/$1\/$1\.tgz\.asc/ \
  https://github.com/SKS-Keyserver/sks-keyserver/tags .*/v?(\d\S+)\.tar\.gz
